Name: libsidplay
Summary: A Commodore 64 music player and SID chip emulator library.
Version: 1.36.57
Release: 6
Epoch: 0
Source: http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages/%{name}-%{version}.tgz
Patch: libsidplay-post57fixes.patch
Icon: sidplay.xpm
Group: System Environment/Libraries
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package devel
Summary: Header files for compiling apps that use libsidplay.
Group: System Environment/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains the header files for compiling applications
that use libsidplay.

%prep
%setup -q
%patch -p1 -b .post57fixes

%build
%ifarch %{ix86}
CXXFLAGS="$RPM_OPT_FLAGS" %configure --enable-optfixpoint --enable-optendian
%else
CXXFLAGS="$RPM_OPT_FLAGS" %configure
%endif
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING DEVELOPER
%doc src/fastforward.txt src/format.txt src/mixing.txt src/mpu.txt src/panning.txt
%{_libdir}/libsidplay.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_libdir}/libsidplay.so
%{_libdir}/libsidplay.a
%{_includedir}/sidplay

%changelog
* Thu Dec 16 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-6
- Use %%configure macro, so %%_libdir and friends get set for x86_64.

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-5
- Fix build for FC3/GCC 3.4 with patch from newer upstream release
  (I'm still upstream for this, afaik).
- Bump release.

* Fri Apr 25 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.4
- strict dependency in -devel package
- simpler arch detection

* Fri Apr 25 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.3
- clean buildroot in install
- -devel requires the actual package as well
- use version-release for BuildRoot

* Fri Apr 25 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.2
- ldconfig in %post,%postun

* Sat Apr 05 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.1
- Initial Fedora packaging
